#pragma once

namespace ss
{
    class SS_GSM_ExecAsyncSql;
}

class DBThread;
class DBPool : public a8::Singleton<DBPool>
{
 private:
    DBPool() {};
    friend class a8::Singleton<DBPool>;

 public:
    enum { HID = HID_DBPool };

 public:
    void Init();
    void UnInit();
    void Update();

    void _SS_GSM_ExecAsyncSql(f8::MsgHdr& hdr, const ss::SS_GSM_ExecAsyncSql& msg);

 private:

    DBThread* db_single_thread_ = nullptr;
    std::vector<DBThread*> db_thread_pool_;
};
