#pragma once

class JsonDataMgr : public a8::Singleton<JsonDataMgr>
{
 private:
    JsonDataMgr() {};
    friend class a8::Singleton<JsonDataMgr>;

 public:
    void Init();
    void UnInit();

    std::shared_ptr<a8::XObject> GetConf();
    std::shared_ptr<a8::XObject> GetMysqlConf();

 private:
    a8::XObject dbproxyserver_cluster_json_;
    a8::XObject mysql_cluster_json_;
};
